Index: contrib/tcpdump/print-ip.c
===================================================================
--- contrib/tcpdump/print-ip.c	(revision 257321)
+++ contrib/tcpdump/print-ip.c	(working copy)
@@ -483,9 +483,11 @@ again:
 		pgm_print(ipds->cp, ipds->len, (const u_char *)ipds->ip);
 		break;
 
+#if defined(HAVE_NET_PFVAR_H)
 	case IPPROTO_PFSYNC:
 		pfsync_ip_print(ipds->cp, ipds->len);
 		break;
+#endif
 
 	default:
 		if (ndo->ndo_nflag==0 && (proto = getprotobynumber(ipds->nh)) != NULL)
Index: usr.sbin/tcpdump/tcpdump/Makefile
===================================================================
--- usr.sbin/tcpdump/tcpdump/Makefile	(revision 257321)
+++ usr.sbin/tcpdump/tcpdump/Makefile	(working copy)
@@ -89,7 +89,6 @@ SRCS=	addrtoname.c \
 	print-olsr.c \
 	print-ospf.c \
 	print-otv.c \
-	print-pfsync.c \
 	print-pgm.c \
 	print-pim.c \
 	print-ppi.c \
@@ -171,7 +170,8 @@ CFLAGS+= -DHAVE_LIBCRYPTO -DHAVE_OPENSSL_EVP_H
 .endif
 
 .if ${MK_PF} != "no"
-SRCS+=	print-pflog.c
+SRCS+=	print-pflog.c \
+	print-pfsync.c
 CFLAGS+= -DHAVE_NET_PFVAR_H
 .endif
 
